"""Code from lecture 24
Creating and using dictionary objects
"""

def main():
	film_list = ["Jaws", "The Goonies", "Aliens", "Commando"] 
	number_of_films = len(film_list)
	filename = "Ratings.txt"	
	lines_of_text = get_lines_from_file(filename)	
	people_ratings_dict = get_people_ratings_dict(lines_of_text, number_of_films)
	print(people_ratings_dict)
#----------------------------------------------------------
# GET PEOPLE RATINGS DICTIONARY
#----------------------------------------------------------		
def get_people_ratings_dict(lines_of_text, number_of_films):
        people_ratings = {}
        for line in lines_of_text:
                reviewer_info = line.split(" ")
                reviewer_name = reviewer_info[0]
                reviewer_ratings = reviewer_info[1:]
                for i in range(len(reviewer_ratings)):
                        reviewer_ratings[i] = int(reviewer_ratings[i])
                people_ratings[reviewer_name] = reviewer_ratings
        return people_ratings

def get_lines_from_file(filename):
        file = open(filename,"r")
        lines = file.read().strip()
        file.close()
        lines_list = lines.split("\n")
        return lines_list

main()

